# Built-in tooling

Deno provides some built in tooling that is useful when working with JavaScript
and TypeScript:

<!-- prettier-ignore-start -->
<!-- prettier incorrectly moves the coming soon links to new lines -->

- [test runner (`deno test`)](../testing)
- [code formatter (`deno fmt`)](./tools/formatter.md)
- [bundler (`deno bundle`)](./tools/bundler.md)
- [debugger (`--debug`)](./tools/debugger.md)
- [documentation generator (`deno doc`)](./tools/documentation_generator.md)
- [dependency inspector (`deno info`)](./tools/dependency_inspector.md)
- linter (`deno lint`) [coming soon](https://github.com/denoland/deno/issues/1880)

<!-- prettier-ignore-end -->
